Bug 25842 - Typo "streetype" in member-main-address-style.inc
Summary: Typo "streetype" in member-main-address-style.inc
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Assignee: Fridolin Somers
QA Contact: Testopia
URL:
Keywords:
Depends on: 25070 25839
Blocks:
  Show dependency treegraph
 
Reported: 2020-06-22 12:57 UTC by Owen Leonard
Modified: 2020-11-30 21:51 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Text to go in the release notes:
Version(s) released in:
20.11.00 20.05.01


Attachments
Bug 25842: Fix typo streetype in member-main-address-style.inc (2.41 KB, patch)
2020-06-23 07:33 UTC, Fridolin Somers
Details | Diff | Splinter Review
Bug 25842: Fix typo streetype in member-main-address-style.inc (2.48 KB, patch)
2020-06-23 08:17 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2020-06-22 12:57:49 UTC
There are several more instances of the incorrect variable "streetype" in member-main-address-style.inc. While not error-causing, they should be corrected for consistency.
Comment 1 Fridolin Somers 2020-06-23 07:28:07 UTC
(In reply to Owen Leonard from comment #0)
> While not error-causing, they should be corrected for consistency.
Oh there is an error : field as mandatory in  BorrowerMandatoryField does not work :(
Comment 2 Fridolin Somers 2020-06-23 07:33:43 UTC
Created attachment 106179 [details] [review]
Bug 25842: Fix typo streetype in member-main-address-style.inc

There are several more instances of the incorrect variable "streetype" in member-main-address-style.inc. Must be corrected with DB column name "streettype" in order to be able to set this field as mandatory.

See also :
Bug 25839 - Typo patron.streetype in member-main-address-style.inc

Test plan :
1) Add "streettype" in system preference "BorrowerMandatoryField"
2) Create a new patron
3) Without patch "Street type" field is not mandatory/required, with
   patch it is
4) Remove "streettype" from system preference "BorrowerMandatoryField"
5) Create a new patron
6) Check "Street type" field is not mandatory/required
7) Select a value and save
8) Edit again patron
9) Check value is selected
Comment 3 Jonathan Druart 2020-06-23 08:17:27 UTC
Created attachment 106181 [details] [review]
Bug 25842: Fix typo streetype in member-main-address-style.inc

There are several more instances of the incorrect variable "streetype" in member-main-address-style.inc. Must be corrected with DB column name "streettype" in order to be able to set this field as mandatory.

See also :
Bug 25839 - Typo patron.streetype in member-main-address-style.inc

Test plan :
1) Add "streettype" in system preference "BorrowerMandatoryField"
2) Create a new patron
3) Without patch "Street type" field is not mandatory/required, with
   patch it is
4) Remove "streettype" from system preference "BorrowerMandatoryField"
5) Create a new patron
6) Check "Street type" field is not mandatory/required
7) Select a value and save
8) Edit again patron
9) Check value is selected

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Jonathan Druart 2020-06-23 08:18:17 UTC
Needed for 20.05.01.
Comment 5 Jonathan Druart 2020-06-23 08:30:08 UTC
Pushed to master for 20.11, thanks to everybody involved!
Comment 6 Jonathan Druart 2020-06-23 08:40:58 UTC
backported to 20.05.x for 20.05.01
Comment 7 Aleisha Amohia 2020-06-24 00:29:40 UTC
missing dependencies, not backported to 19.11.x